using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Microsoft.Extensions.Logging;
using Quartz;
using SlnMesnac.Business.@base;
using SlnMesnac.Repository;
using SlnMesnac.Repository.service;

namespace SlnMesnac.Quartz.Job
{
    public class GetTaskInfo_Job : IJob
    {
        private readonly ILogger<GetTaskInfo_Job> _logger;
        private IAirportTaskService _service;
        private BaseTaskInfoBusiness _taskInfoBusiness;
        public GetTaskInfo_Job(ILogger<GetTaskInfo_Job> logger, IAirportTaskService service)
        {
            _logger = logger;
            _service = service;
        }
        public Task Execute(IJobExecutionContext context)
        {

            return Task.CompletedTask;
        }

        /// <summary>
        /// 获取任务列表
        /// </summary>
        private void GetAGVTaskInfo()
        {
            try
            {
               List<AirportTask> Task =  _service.GetTaskInfos();
            }
            catch (Exception ex)
            {

            }
        }
    }
}